#ifndef PERSON_H
#define PERSON_H

#include <stdio.h>
#include <stdbool.h>
#include <stralloc.h>

struct Person {
   stralloc name; // 0-byte terminated
   char* lastname; // points into name
   unsigned short born; // year when the composer was born
   unsigned short died; // year when the composer died
   bool named; // already named?
};

/* reads an input line from fp, consisting of
   the full name followed by a space, the year
   of birth, a space, and the year when the
   person died;
   return 0 in case of EOF or errors */
struct Person* read_person(FILE* fp);

/* write a person to fp in the input format, followed by a newline */
bool write_person(FILE* fp, struct Person* person);

/* release storage associated with person */
void free_person(struct Person* person);

#endif
